# Akamai\Open\EdgeGrid\Handler\Authentication::__call

#### Proxy to the underlying signer object

## Signature

`public function __call( $method, $args )`

## Parameters

`$method` —
`$args` —

## Returns

mixed

## Test Coverage

### Information

- Coverage: 6/6 Lines (100%)
- Tests: 16
- Passed: 16 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #0
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #1
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #6
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #7
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #8
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #9
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #10
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #11
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #12
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #13
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testProxyNonFluent
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testProxyNoSigner